
QGIS Application - Bug report #19213

importing QGIS layer into postgis

2018-06-18 07:33 AM - shiva reddy koti

Status: Closed

Priority: Normal

Assignee: shiva reddy koti

Category: DB Manager

Affected QGIS version:3.1(master) Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27042

Description

Creation error for features from #0 to #0. Provider errors was: 

PostGIS error while adding features: ERROR:  value too long for type character varying(50)

History

#1 - 2018-06-22 06:43 AM - shiva reddy koti

- Assignee set to shiva reddy koti

#2 - 2018-06-22 07:12 AM - Paolo Cavallini

Please add a minimal data sample

#3 - 2018-06-22 07:37 AM - shiva reddy koti

- File testDatabase.shp added

- File testDatabase.qpj added

- File testDatabase.dbf added

- File testDatabase.cpg added

- File testDatabase.prj added

- File testDatabase.shx added

sample file to test.

I have also made a pull request to fix this bug[https://github.com/qgis/QGIS/pull/7301]

#4 - 2018-06-26 07:34 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

As per comment on PR, this was resolved as invalid

Files

testDatabase.dbf 1.98 KB 2018-06-22 shiva reddy koti

testDatabase.cpg 5 Bytes 2018-06-22 shiva reddy koti

testDatabase.prj 143 Bytes 2018-06-22 shiva reddy koti

testDatabase.qpj 257 Bytes 2018-06-22 shiva reddy koti
https://github.com/qgis/QGIS/pull/7301


testDatabase.shp 352 Bytes 2018-06-22 shiva reddy koti

testDatabase.shx 172 Bytes 2018-06-22 shiva reddy koti
